import { HttpClient } from '@angular/common/http';
import { BaseApiTemplateService, BasicApiResponseModel, ApiVisa } from '../../shared';
import { ApiResponseModel } from '../../shared/api-response.model';
import { CashDocumentContainerModel } from '../../../../../../../lib/models/aggregates/index';
export declare class CashTransferService extends BaseApiTemplateService<any> {
    constructor(http: HttpClient);
    updatePostingStatus(dtoObject: any, apiVisa: ApiVisa, guid: string): import("rxjs").Observable<ApiResponseModel<any>>;
    createTemp(payload: any, apiVisa: ApiVisa): import("rxjs").Observable<ApiResponseModel<any>>;
    cloneDocument(guid: string, visa: ApiVisa): import("rxjs").Observable<BasicApiResponseModel<CashDocumentContainerModel>>;
}
